| DocBook: The Definitive Guide 2.0.17 (Alpha)

# address

$Revision$

$Date$

address — A real-world address, generally a postal address

## Synopsis

### Mixed Content Model

    address ::=
    (#PCDATA|personname|honorific|firstname|surname|lineage|othername|
     affiliation|authorblurb|contrib|street|pob|postcode|city|state|
     country|phone|fax|email|otheraddr)*

### Attributes

Common attributes

Name | Type | Default

linenumbering

Enumeration:
numbered
unnumbered

None

language | CDATA | None

xml:space

Enumeration:
preserve

None

continuation

Enumeration:
continues
restarts

None

format

Enumerated notation:
linespecific

"linespecific"

startinglinenumber | CDATA | None

## Description

An address is generally a postal address, although it does contain elements for `FAX` and `Email` addresses as well as the catch-all `OtherAddr`.

The `linespecific` notation on the `Format` attribute makes line breaks and other spaces significant in an `Address`.

### Processing expectations

Formatted as a displayed block. This element is displayed “verbatim”; whitespace and linebreaks within this element are significant.

### Future Changes

The `xml:space` attribute is automatically provided in the XML DTD.

### Parents

These elements contain address: `affiliation`, `answer`, `appendix`, `appendixinfo`, `article`, `articleinfo`, `author`, `bibliodiv`, `biblioentry`, `bibliography`, `bibliographyinfo`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `blockquote`, `bookinfo`, `callout`, `caution`, `chapter`, `chapterinfo`, `confgroup`, `constraintdef`, `editor`, `example`, `figure`, `footnote`, `glossary`, `glossaryinfo`, `glossdef`, `glossdiv`, `important`, `index`, `indexdiv`, `indexinfo`, `informalexample`, `informalfigure`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `objectinfo`, `orderedlist`, `othercredit`, `para`, `partinfo`, `partintro`, `preface`, `prefaceinfo`, `procedure`, `publisher`, `qandadiv`, `qandaset`, `question`, `refentryinfo`, `referenceinfo`, `refsect1`, `refsect1info`, `refsect2`, `refsect2info`, `refsect3`, `refsect3info`, `refsection`, `refsectioninfo`, `refsynopsisdiv`, `refsynopsisdivinfo`, `revdescription`, `sect1`, `sect1info`, `sect2`, `sect2info`, `sect3`, `sect3info`, `sect4`, `sect4info`, `sect5`, `sect5info`, `section`, `sectioninfo`, `setindex`, `setindexinfo`, `setinfo`, `sidebar`, `sidebarinfo`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in address: `affiliation`, `authorblurb`, `city`, `contrib`, `country`, `email`, `fax`, `firstname`, `honorific`, `lineage`, `otheraddr`, `othername`, `personname`, `phone`, `pob`, `postcode`, `state`, `street`, `surname`.

## Attributes

continuation

  If `continuation` is specified, it indicates how line numbering should begin relative to the immediately preceding `address`. `Restarts`, the default, indicates that numbering should begin again at 1. `Continues` indicates that numbering should begin where the preceding element left off.

format

  The `format` attribute applies the `linespecific` notation to all `address`es. All white space and line breaks must be preserved.

linenumbering

  Line numbering indicates whether or not the lines of an `Address` are to be automatically numbered. The details of numbering (every line or only selected lines, on the left or right, etc.) are left up to the processing application. Be aware that not all processors are capable of numbering lines.

## See Also

`city`, `country`, `email`, `fax`, `otheraddr`, `phone`, `pob`, `postcode`, `state`, `street`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>An example of a postal mail address in the United States:
    <address>
    John and Jane Doe
    <street>100 Main Street</street>
    <city>Anytown</city>, <state>NY</state> <postcode>12345</postcode>
    <country>USA</country>
    </address>
    </para>

An example of a postal mail address in the United States:

John and Jane Doe
100 Main Street
Anytown, NY 12345
USA

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>An example of a post office box address in the United States:
    <address>
    <pob>P.O. Box 1234</pob>
    <city>Anytown</city>, <state>MA</state> <postcode>12345</postcode>
    <country>USA</country>
    </address>
    </para>

An example of a post office box address in the United States:

P.O. Box 1234
Anytown, MA 12345
USA

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>Addresses can also include phone numbers:
    <address>
    John Smith
    <street>100 Pine Blvd</street>
    <city>Anytown</city>, <state>NY</state> <postcode>12345</postcode>
    <country>USA</country>
    <phone>914.555.1212</phone>
    <fax>914.555.1212</fax>
    </address>
    </para>

Addresses can also include phone numbers:

John Smith
100 Pine Blvd
Anytown, NY 12345
USA
914.555.1212
914.555.1212

For additional examples, see also `confgroup`, `otheraddr`, `publisher`.

action |  | affiliation

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.